﻿.field-validation-error {
    color: var(--bs-danger);
}

.input-validation-error {
    border-color: rgb(var(--bs-danger-rgb)) !important;
}

.text-justify {
    text-align: justify;
}

.tg-dialog .tg-dialog-footer button.tg-dialog-btn {
    padding: 5px 10px;
    border: 1px solid #cbcfd5;
    color: #6f727e;
    border-radius: 4px;
    font-weight: 500;
    font-size: .82rem;
    white-space: nowrap;
    background-color: #ffffff;
}

.download-link {
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    background-color: #f8f9fa;
    padding: 0.75rem 1.25rem;
    border-radius: 0.5rem;
    border: 1px solid #dee2e6;
    text-decoration: none;
    color: #0d6efd;
    transition: all 0.2s ease-in-out;
}

    .download-link:hover {
        background-color: #e9ecef;
        text-decoration: none;
        color: #0a58ca;
        box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    }

.sticky-col {
    position: sticky;
    top: 1rem; 
    align-self: flex-start;
}


@media (min-width: 992px) {
    .form-scroll {
        height: calc(100vh - 362px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .form-scroll-solicitacao, .form-scroll-configuracoes {
        height: calc(100vh - 292px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .form-scroll-solicitacao-card-salvar {
        height: calc(100vh - 415px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .aba-scroll {
        max-height: calc(100vh - 260px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .aba-scroll-solicitacao {
        max-height: calc(100vh - 292px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .cliente-info-scroll {
        height: calc(100vh - 190px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .loader {
        height: calc(100vh - 300px);
        overflow-y: auto;
        overflow-x: hidden;
    }

    .solicitacao-scroll {
        height: calc(100vh - 190px);
    }

    .solicitacao-scroll {
        height: calc(100vh - 190px);
        overflow-y: auto;
        overflow-x: hidden;
    }
}

.config-card {
    border-left: 4px solid transparent;
    transition: border-color 0.3s ease;
}

    .config-card.changed {
        border-left-color: #e78b2f; /* Azul bootstrap */
    }

.editable-value {
    cursor: pointer;
    color: #0d6efd; /* Azul Bootstrap */
    text-decoration: underline dotted;
}

    .editable-value:hover {
        text-decoration: underline;
    }
